clc;close all
opengl hardware
%%

% map0:  Baseline
% map1:  LTY
% map2:  LATY

% ND_Y:  Without second vehicle, Yielding     (no of trials: 68, 64, 67)
% ND_NY: Without second vehicle, Non-yielding (no of trials: 68, 67, 66)
% D_Y:   With second vehicle, Yielding        (no of trials: 67, 63, 68)
% D_NY:  With second vehicle, Non-yielding    (no of trials: 68, 67, 65)

% Missing data 
% LTY Yielding:      136 - 64 - 63 = 9 trials
% LTY Non-yielding:  136 - 67 - 67 = 2 trials
% LATY Yielding:     136 - 67 - 68 = 1 trials
% LATY Non-yielding: 136 - 66 - 65 = 5 trials
% Total:                            17 trials

% Figure3data.orgdata.ND_Y.map0.idx{1:end}  : Indexes of phases (60 Hz)
% Figure3data.orgdata.ND_Y.map0.time{1:end} : Corresponding times of phases
% Figure3data.orgdata.ND_NY.map0.pos.ph1{1} : Time and AV position per time sample per phase

load Figure3data.mat
Figure3(Figure3data)
%%

% Figure4data.ind.ND_Y.map1.val:   Angles (steps of 1 deg)
% Figure4data.ind.ND_Y.map1.freq:  Corresponding frequencies (adds up to 100)

% Angles smaller than 90 deg are right of the driver; Angles larger than 90 deg are left of the driver.

% map0:  Baseline
% map1:  LTY
% map2:  LATY

% ND_Y:  Without second vehicle, Yielding     (% missing: 8, 3, 5)
% ND_NY: Without second vehicle, Non-yielding (% missing: 9, 7, 5)
% D_Y:   With second vehicle, Yielding        (% missing: 8, 4, 5)
% D_NY:  With second vehicle, Non-yielding    (% missing: 9, 5, 6)

load Figure4data.mat
Figure4(Figure4data)
%%

% Figure56data_gap.phases.ND_Y.map0.phase1{1}:  Vector of 0s (button was not pressed) and 1s (button was pressed)
% Figure56data_gap.phasesSum.ND_Y.map1.phase1:  Percentage of trials in which the botton was pressed

load Figure56data.mat
Figure56(Figure56data,Figure3data) % Submit button-press data and border data (same as used for Figure 3)
%%

% Figure7data.yawPerPhase.ND_Y.map0.ph1:         All relative-yaw angle values (e.g., ~ 260 * 68 data points for this condition and phase; NaNs have been retained)
% Figure7data.CountPerPhase.ND_Y.map0.ph1.val:   Relative-yaw angles (NaNs included)
% Figure7data.CountPerPhase.ND_Y.map0.ph1.freq:  Corresponding frequencies (adds up to 100)

% map0:  Baseline
% map1:  LTY
% map2:  LATY

% ND_Y:  Without second vehicle, Yielding 
% ND_NY: Without second vehicle, Non-yielding
% D_Y:   With second vehicle, Yielding     
% D_NY:  With second vehicle, Non-yielding

load Figure7data.mat
Figure7(Figure7data)
%%
load FigureS1data.mat
FigureS1(FigureS1data)
%%
load crossPerformance.mat
Table1
%%
load Acceptance
Table2